* Dropped Python 2.7 support due to end-of-life status.

* Dropped compatibility module since this was Python 2.7 specific.
* Dropped requirements six and packaging.
* Updated minimal version of pyproj to 2.5.0.

Signed-off-by: Daniel Scheffler <danschef@gfz-potsdam.de>
3 jobs for enhancement/improve_polygonizer in 1 minute and 42 seconds (queued for 1 second)